Bug 1169407 - (CVE-2020-1967) VUL-0: CVE-2020-1967: openssl-1_1: Segmentation fault in SSL_check_chain
(CVE-2020-1967)
VUL-0: CVE-2020-1967: openssl-1_1: Segmentation fault in SSL_check_chain
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/257025/
CVSSv3.1:SUSE:CVE-2020-1967:7.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-14 11:17 UTC by Alexander Bergmann
Modified: 2022-07-25 09:06 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
0003-fixup-Add-test-for-CVE-2020-1967.patch (855 bytes, patch)
2020-04-20 08:44 UTC, Marcus Meissner
Details | Diff
0003-fixup-Add-test-for-CVE-2020-1967.patch (855 bytes, patch)
2020-04-20 08:44 UTC, Marcus Meissner
Details | Diff
0004-fixup-Add-test-for-CVE-2020-1967.patch (822 bytes, patch)
2020-04-20 14:30 UTC, Marcus Meissner
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Marcus Meissner 2020-04-16 10:03:57 UTC
affected are only:


SUSE:SLE-12-SP4:Update openssl-1_1
SUSE:SLE-15-SP2:GA openssl-1_1
Comment 2 Marcus Meissner 2020-04-20 08:14:20 UTC
CRD: 2020-04-21
Comment 5 Marcus Meissner 2020-04-20 08:44:06 UTC
Created attachment 836094 [details]
0003-fixup-Add-test-for-CVE-2020-1967.patch

0003-fixup-Add-test-for-CVE-2020-1967.patch

pach for test part 2 ( 0002 is the bugfix)
Comment 6 Marcus Meissner 2020-04-20 08:44:29 UTC
Created attachment 836096 [details]
0003-fixup-Add-test-for-CVE-2020-1967.patch

0003-fixup-Add-test-for-CVE-2020-1967.patch

patch for tests part 3
Comment 10 Marcus Meissner 2020-04-20 14:30:17 UTC
Created attachment 836143 [details]
0004-fixup-Add-test-for-CVE-2020-1967.patch

0004-fixup-Add-test-for-CVE-2020-1967.patch
Comment 13 Marcus Meissner 2020-04-21 13:21:25 UTC
https://www.openssl.org/news/secadv/20200421.txt

OpenSSL Security Advisory [21 April 2020]
=========================================

Segmentation fault in SSL_check_chain (CVE-2020-1967)
=====================================================

Severity: High

Server or client applications that call the SSL_check_chain() function during or
after a TLS 1.3 handshake may crash due to a NULL pointer dereference as a
result of incorrect handling of the "signature_algorithms_cert" TLS extension.
The crash occurs if an invalid or unrecognised signature algorithm is received
from the peer. This could be exploited by a malicious peer in a Denial of
Service attack.

OpenSSL version 1.1.1d, 1.1.1e, and 1.1.1f are affected by this issue.  This
issue did not affect OpenSSL versions prior to 1.1.1d.

Affected OpenSSL 1.1.1 users should upgrade to 1.1.1g

This issue was found by Bernd Edlinger and reported to OpenSSL on 7th April
2020. It was found using the new static analysis pass being implemented in GCC,
-fanalyzer. Additional analysis was performed by Matt Caswell and Benjamin
Kaduk.

Note
=====

This issue did not affect OpenSSL 1.0.2 however these versions are out of
support and no longer receiving public updates. Extended support is available
for premium support customers: https://www.openssl.org/support/contracts.html

This issue did not affect OpenSSL 1.1.0 however these versions are out of
support and no longer receiving updates.

Users of these versions should upgrade to OpenSSL 1.1.1.

References
==========

URL for this Security Advisory:
https://www.openssl.org/news/secadv/20200421.txt

Note: the online version of the advisory may be updated with additional details
over time.

For details of OpenSSL severity classifications please see:
https://www.openssl.org/policies/secpolicy.html
Comment 14 Vítězslav Čížek 2020-04-21 14:34:46 UTC
OpenSSL 1.1.1g has been submitted to Factory.
Comment 15 Swamp Workflow Management 2020-04-21 19:18:18 UTC
SUSE-SU-2020:1058-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1169407
CVE References: CVE-2020-1967
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    openssl-1_1-1.1.1d-2.23.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    openssl-1_1-1.1.1d-2.23.1
SUSE Linux Enterprise Server 12-SP5 (src):    openssl-1_1-1.1.1d-2.23.1
SUSE Linux Enterprise Server 12-SP4 (src):    openssl-1_1-1.1.1d-2.23.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Alexandros Toptsoglou 2020-04-23 16:08:15 UTC
done